Internet Banking da Caixa no Fedora

Publicado por Cristiano Scheidegger em 01/02/2017

[ Hits: 5.729 ]

 


Internet Banking da Caixa no Fedora



Observo que muitos usuários do Fedora, como também de outras distros rpm, estão enfrentando dificuldade para acessar o Internet Banking da Caixa. E tomei a iniciativa de colaborar com os mesmos, já que sou usuário deste internet banking e uso o Fedora.

Posso garantir que o sistema da Caixa atualmente está totalmente operante no Fedora. Mas vale ressaltar que o suporte da caixa, o help desk 0800 726 0104 não auxilia os usuários do GNU/Linux em nada. Quem liga para este número e falar que usa o GNU Linux, ouve do atendente que a Caixa não oferece suporte para o Linux. Eu mesmo já ouvi isto várias vezes, quando na verdade o sistema foi desenvolvido para funcionar e passou por um aperfeiçoamento recentemente, no qual foi implementado o adicional de segurança "Warsaw".

E se você acha este adicional de segurança um pesadelo, eu te afirmo com toda certeza e experiência que esta solução tornou a configuração do acesso muito simples e é totalmente eficaz. Pois, antes era necessário instalar o java da Oracle, a cadeia de certificado Caixa e por final configurar o plugin do java no firefox. E mesmo assim a cada atualização do kernel do Fedora, o sistema solicitava o recadastramento da maquina. Mas isso tudo ficou no passado.

Vamos ao que interessa, a instalação do warsaw. Supondo que você acabou de instalar o Fedora e o sistema está sem qualquer software adicional, somente os do disco de instalação estão presentes. Para o acesso ao sistema da Caixa, basta instalar o warsaw, seguindo os seguintes passos:

1. Abra o Firefox e digite o endereço www.caixa.gov.br e clique no botão "acesso a conta". Vai abrir a tela de acesso ao internet banking, proceda como fosse fazer o acesso normalmente. Caso você ainda não possua um usuário, clique em cadastrar e cadastre um. Já de posse do usuário digite e clique em continuar. O sistema vai detectar que você ainda não instalou o adicional de segurança e vai perguntar se você deseja instalar, ao clicar no botão "Concordar", vai iniciar o download. do pacote do warsaw. Não se assuste, o pacote é para o Debian.

2. Vamos converter o pacote deb para rpm da seguinte forma: abra um terminal, acesse o diretório onde está o pacote que foi baixado. Se você não alterou o pacote foi salvo no diretório Downloads, digite:

# cd Downloads

para acessar o diretório. E para converter basta digitar:

# alien --to-rpm GBPCEFwr64.deb

será gerado o arquivo: warsaw-1.3.0-2.x86_64.rpm

3. Instale digitando:

# dnf install warsaw-1.3.0-2.x86_64.rpm -y

note que usei o dnf no lugar do comando "rpm -Uvh", isto é para resolver as dependências de uma só vez. Pronto, pode usar o internet banking.

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Gerenciando de downloads com o prozilla

Criar conexão banda larga no Librix

Febe: Plugin que salva os favoritos do Firefox

Como proteger arquivos enviados ao RapidShare ou MegaUpload contra expiração

IRC via telnet

  

Comentários
[1] Comentário enviado por aflansof em 02/02/2017 - 21:51h

Boa noite, amigo! Fiz os procedimentos acima e recebi o erro abaixo:

$ sudo dnf install warsaw-1.12.3.11-2.x86_64.rpm
Última verificação de data de vencimento de metadados: 2:07:25 atrás em Thu Feb 2 19:40:09 2017.
Error: nothing provides libcrypto.so.1.0.0()(64bit) needed by warsaw-1.12.3.11-2.x86_64
(tente adicionar '--allowerasing' a linha de comando para substituir pacotes conflitantes

Alguma dica de como instalar algum pacote que contenha a dependência mencionada acima? Pesquisando no Google, não encontrei exatamente a dependência mencionada, mas outras versões. Alguma dica?

Grato!

[2] Comentário enviado por flavianohonorato em 10/03/2017 - 15:57h

Tive o mesmo problema do amigo aí em cima:

Última verificação de data de vencimento de metadados: 1:05:32 atrás em Fri Mar 10 14:50:24 2017.
Error: nothing provides libcrypto.so.1.0.0()(64bit) needed by warsaw-1.12.3.11-2.x86_64
(tente adicionar '--allowerasing' a linha de comando para substituir pacotes conflitantes

A distro que estou usando é o Korora.

[3] Comentário enviado por betokodama em 17/03/2017 - 11:43h

Me parece que o Warsaw agora não é personalizado para cada banco que usa esta solução. O Banco do Brasil disponibiliza versão do Warsaw para Fedora 32 ou 64 bits. Desde que instalei aqui no meu Fedora 25 32 bits consigo acessar normalmente o BB, a CEF e o Itaú sem "hacks".

A única chateação é que parece que o Warsaw é meio sensível a atualização do kernel. Cada vez que faço uma atualização (e ultimamente tem ocorrido com frequência), ele para de funcionar, daí, desinstala, reboot, reinstala e volta a funcionar.

[4] Comentário enviado por canove em 12/04/2017 - 23:06h


[3] Comentário enviado por betokodama em 17/03/2017 - 11:43h

Me parece que o Warsaw agora não é personalizado para cada banco que usa esta solução. O Banco do Brasil disponibiliza versão do Warsaw para Fedora 32 ou 64 bits. Desde que instalei aqui no meu Fedora 25 32 bits consigo acessar normalmente o BB, a CEF e o Itaú sem "hacks".

A única chateação é que parece que o Warsaw é meio sensível a atualização do kernel. Cada vez que faço uma atualização (e ultimamente tem ocorrido com frequência), ele para de funcionar, daí, desinstala, reboot, reinstala e volta a funcionar.



Vlw pela dica! Consegui acessar o ITAU pelo Chrome, instalando o Warsaw através da sua dica, a partir do banco do brasil. Obrigado.

[5] Comentário enviado por HelioT em 25/04/2017 - 07:38h

Alguém conseguiu instalar warsaw no Fedora 25 64 bits? Pelo visto BB não suprta mais JAVA. Fiz downgrade até FF 47 e não consigo mais acessar BB.

[6] Comentário enviado por betokodama em 01/05/2017 - 11:27h


[3] Comentário enviado por betokodama em 17/03/2017 - 11:43h

Me parece que o Warsaw agora não é personalizado para cada banco que usa esta solução. O Banco do Brasil disponibiliza versão do Warsaw para Fedora 32 ou 64 bits. Desde que instalei aqui no meu Fedora 25 32 bits consigo acessar normalmente o BB, a CEF e o Itaú sem "hacks".

A única chateação é que parece que o Warsaw é meio sensível a atualização do kernel. Cada vez que faço uma atualização (e ultimamente tem ocorrido com frequência), ele para de funcionar, daí, desinstala, reboot, reinstala e volta a funcionar.



Caros,

caso não estejam conseguindo usar o Warsaw após um boot, não sei se é um problema na minha configuração, mas um processo não é startado automaticamente, assim, basta ativá-lo manualmente.

De certa forma, até é bom, para aqueles paranóicos com a segurança. :)

# su
# /usr/local/bin/warsaw/core &


[7] Comentário enviado por lanjos em 02/10/2017 - 20:12h

Boa Noite, tambem tive o mesmo problema no Fedora26:

$ sudo dnf install warsaw-1.12.3.11-2.x86_64.rpm
Última verificação de data de vencimento de metadados: 2:07:25 atrás em Thu Feb 2 19:40:09 2017.
Error: nothing provides libcrypto.so.1.0.0()(64bit) needed by warsaw-1.12.3.11-2.x86_64
(tente adicionar '--allowerasing' a linha de comando para substituir pacotes conflitantes

Então segui a dica do betokodama de baixar o warsaw do site do Banco do Brasil, os pacotes são direcionados pro SO detectado e seguir os comandos, Testei para navegar no site da CEF e deu certo. Valeu!



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts